"""
Generate time series of nominated "gauges" read from project.gauge_filename. This 
is done by running sww2csv_gauges to make 'csv' files in the 'output_dir' containing
the details at the gauges for both these sww files.
Can run different sww files at the same time
make sure if there is a second sww file that it is placed into a folder called sww2
Can run different gauges at the same time - ie testing boundary index point
"""

from os import sep
from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
import project

timestamp1='20080815_103442_run_final_0.0_polyline_alpha0.1_kvanputt'
timestamp2='20080815_103336_run_final_0.6_polyline_alpha0.1_kvanputt'

timestamps = [timestamp1, timestamp2]
for timestamp in timestamps:

    filename1=project.output_dir+timestamp+sep+project.scenario_name+'.sww'
    filename2=project.output_dir+timestamp+sep+'sww2'+sep+project.scenario_name+'_time_39900_0.sww'

    filenames = [filename1, filename2]
    for filename in filenames:

        gauges = [project.gauges_dir_name, project.gauges_dir_name2]
        for gauge in gauges:
            
            sww2csv_gauges(filename,gauge,
                            quantities = ['stage','speed','depth','elevation'],
                            verbose=True)
                        

    


